package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ClewPhone;

/**
 * 线索手机号Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-19
 */
public interface ClewPhoneMapper
{
    /**
     * 查询线索手机号
     *
     * @param id 线索手机号主键
     * @return 线索手机号
     */
    public ClewPhone selectClewPhoneById(Long id);

    /**
     * 查询线索手机号列表
     *
     * @param clewPhone 线索手机号
     * @return 线索手机号集合
     */
    public List<ClewPhone> selectClewPhoneList(ClewPhone clewPhone);

    /**
     * 新增线索手机号
     *
     * @param clewPhone 线索手机号
     * @return 结果
     */
    public int insertClewPhone(ClewPhone clewPhone);

    /**
     * 修改线索手机号
     *
     * @param clewPhone 线索手机号
     * @return 结果
     */
    public int updateClewPhone(ClewPhone clewPhone);

    /**
     * 删除线索手机号
     *
     * @param id 线索手机号主键
     * @return 结果
     */
    public int deleteClewPhoneById(Long id);

    /**
     * 批量删除线索手机号
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClewPhoneByIds(String[] ids);
}
